# UniTAP.dev.dev_3xx_roles

class UCD340:

Class `UCD340` describes of device UCD-340. Device has several possible role:

- 'USB-C, DP Alt Mode Reference Sink' `USBCSink`
- 'USB-C, DP Alt Mode Reference Source' `USBCSource`.

ROLE_DICT = {'USB-C, DP Alt Mode Reference Sink': <class 'UCD340.USBCSink'>, 'USB-C, DP Alt Mode Reference Source': <class 'UCD340.USBCSource'>}
class UCD340.USBCSink:

Class `USBCSink` contains information of available functionality modules for role USB-C Sink (RX - receiver) role:

- `DPRX`.
- `DUTTests`.
- `PDC`.

UCD340.USBCSink( dev_io: UniTAP.libs.lib_tsi.tsi_io.DeviceIO, memory_manager: UniTAP.dev.modules.memory_manager.memory_manager.MemoryManager, capturer: UniTAP.dev.modules.capturer.capture.Capturer)
dprx: UniTAP.dev.ports.dprx.DPRX

Returns DP Sink (RX - receiver) role.

###### Returns:

> object of DPRX type.

pdcrx: UniTAP.dev.ports.pdc_port.PDC340

Returns PDC Sink (RX - receiver) role.

###### Returns:

> object of `PDC340` type.

dut_tests: UniTAP.dev.modules.dut_tests.dut_tests.DUTTests

Returns DUT Test module.

###### Returns:

> object of DUTTests type.

name: str

Returns name of role.

###### Returns:

> object of str type.

class UCD340.USBCSource:

Class `USBCSource` contains information of available functionality modules for role USB-C Source (TX - transmitter) role:

- `DPTX`.
- `DUTTests`.
- `PDC`.

UCD340.USBCSource( dev_io: UniTAP.libs.lib_tsi.tsi_io.DeviceIO, memory_manager: UniTAP.dev.modules.memory_manager.memory_manager.MemoryManager, capturer: UniTAP.dev.modules.capturer.capture.Capturer)
dptx: UniTAP.dev.ports.dptx.DPTX

Returns DP Source (TX - transmitter) role.

###### Returns:

> object of DPTX type.

pdctx: UniTAP.dev.ports.pdc_port.PDC340

Returns PDC Source (TX - transmitter) role.

###### Returns:

> object of `PDC340` type.

dut_tests: UniTAP.dev.modules.dut_tests.dut_tests.DUTTests

Returns DUT Test module.

###### Returns:

> object of DUTTests type.

name: str

Returns name of role.

###### Returns:

> object of str type.

class UCD240(UCD340):

Class `UCD240` describes of device UCD-240 and have the same functionality as the class 'UCD340'. Device has several possible role:

- 'USB-C, DP Alt Mode Reference Sink' `USBCSink`
- 'USB-C, DP Alt Mode Reference Source' `USBCSource`.

##### Inherited Members

UCD340
  USBCSink
  USBCSource
  ROLE_DICT

class UCD323:

Class `UCD323` describes of device UCD-323. Device has several possible role:

- 'DisplayPort Reference Sink (SST, HDCP 2.3)' `DPSink`
- 'DisplayPort Reference Source (SST, HDCP 2.3)' `DPSource`
- 'HDMI Reference Sink (HDCP 2.3)' `HDMISink`
- 'HDMI Reference Source (HDCP 2.3)' `HDMISource`

ROLE_DICT = {'DisplayPort Reference Sink (SST, HDCP 2.3)': <class 'UCD323.DPSink'>, 'DisplayPort Reference Source (SST, HDCP 2.3)': <class 'UCD323.DPSource'>, 'HDMI Reference Sink (HDCP 2.3)': <class 'UCD323.HDMISink'>, 'HDMI Reference Source (HDCP 2.3)': <class 'UCD323.HDMISource'>}
class UCD323.DPSink:

Class `DPSink` contains information of available functionality modules for role DP Sink (RX - receiver) role:

- `DPRX`.
- `DUTTests`.

UCD323.DPSink( dev_io: UniTAP.libs.lib_tsi.tsi_io.DeviceIO, memory_manager: UniTAP.dev.modules.memory_manager.memory_manager.MemoryManager, capturer: UniTAP.dev.modules.capturer.capture.Capturer)
dprx: UniTAP.dev.ports.dprx.DPRX

Returns DP Sink (RX - receiver) role.

###### Returns:

> object of DPRX type.

dut_tests: UniTAP.dev.modules.dut_tests.dut_tests.DUTTests

Returns DUT Test module.

###### Returns:

> object of DUTTests type.

name: str

Returns name of role.

###### Returns:

> object of str type.

class UCD323.DPSource:

Class `DPSink` contains information of available functionality modules for role DP Source (TX - transmitter) role:

- `DPTX`.
- `DUTTests`.

UCD323.DPSource( dev_io: UniTAP.libs.lib_tsi.tsi_io.DeviceIO, memory_manager: UniTAP.dev.modules.memory_manager.memory_manager.MemoryManager, capturer: UniTAP.dev.modules.capturer.capture.Capturer)
dptx: UniTAP.dev.ports.dptx.DPTX

Returns DP Source (TX - transmitter) role.

###### Returns:

> object of DPTX type.

dut_tests: UniTAP.dev.modules.dut_tests.dut_tests.DUTTests

Returns DUT Test module.

###### Returns:

> object of DUTTests type.

name: str

Returns name of role.

###### Returns:

> object of str type.

class UCD323.HDMISink:

Class `HDMISink` contains information of available functionality modules for role HDMI Sink (RX - receiver) role:

- `HDRX`.
- `DUTTests`.

UCD323.HDMISink( dev_io: UniTAP.libs.lib_tsi.tsi_io.DeviceIO, memory_manager: UniTAP.dev.modules.memory_manager.memory_manager.MemoryManager, capturer: UniTAP.dev.modules.capturer.capture.Capturer)
hdrx: UniTAP.dev.ports.hdrx.HDRX

Returns HDMI Sink (RX - receiver) role.

###### Returns:

> object of HDRX type.

dut_tests: UniTAP.dev.modules.dut_tests.dut_tests.DUTTests

Returns DUT Test module.

###### Returns:

> object of DUTTests type.

name: str

Returns name of role.

###### Returns:

> object of str type.

class UCD323.HDMISource:

Class `HDMISource` contains information of available functionality modules for role HDMI Source (TX - transmitter) role:

- `HDTX`.
- `DUTTests`.

UCD323.HDMISource( dev_io: UniTAP.libs.lib_tsi.tsi_io.DeviceIO, memory_manager: UniTAP.dev.modules.memory_manager.memory_manager.MemoryManager, capturer: UniTAP.dev.modules.capturer.capture.Capturer)
hdtx: UniTAP.dev.ports.hdtx.HDTX

Returns HDMI Source (TX - transmitter) role.

###### Returns:

> object of HDTX type.

dut_tests: UniTAP.dev.modules.dut_tests.dut_tests.DUTTests

Returns DUT Test module.

###### Returns:

> object of DUTTests type.

name: str

Returns name of role.

###### Returns:

> object of str type.

class UCD301:

Class `UCD301` describes of device UCD-301. Device has several possible role:

- 'DisplayPort Reference Sink (SST, HDCP 2.3)' `DPSink`
- 'HDMI Reference Sink (HDCP 2.3)' `HDMISink`

ROLE_DICT = {'DisplayPort Reference Sink (SST, HDCP 2.3)': <class 'UCD301.DPSink'>, 'HDMI, DisplayPort (SST), SPDIF Reference Sink': <class 'UCD301.DPSinkHDMISink'>, 'HDMI Reference Sink (HDCP 2.3)': <class 'UCD301.HDMISink'>}
class UCD301.DPSink:

Class `DPSink` contains information of available functionality modules for role DP Sink (RX - receiver) role:

- `DPRX`.
- `DUTTests`.

UCD301.DPSink( dev_io: UniTAP.libs.lib_tsi.tsi_io.DeviceIO, memory_manager: UniTAP.dev.modules.memory_manager.memory_manager.MemoryManager, capturer: UniTAP.dev.modules.capturer.capture.Capturer)
dprx: UniTAP.dev.ports.dprx.DPRX

Returns DP Sink (RX - receiver) role.

###### Returns:

> object of DPRX type.

dut_tests: UniTAP.dev.modules.dut_tests.dut_tests.DUTTests

Returns DUT Test module.

###### Returns:

> object of DUTTests type.

name: str

Returns name of role.

###### Returns:

> object of str type.

class UCD301.HDMISink:

Class `HDMISink` contains information of available functionality modules for role HDMI Sink (RX - receiver) role:

- `HDRX`.
- `DUTTests`.

UCD301.HDMISink( dev_io: UniTAP.libs.lib_tsi.tsi_io.DeviceIO, memory_manager: UniTAP.dev.modules.memory_manager.memory_manager.MemoryManager, capturer: UniTAP.dev.modules.capturer.capture.Capturer)
hdrx: UniTAP.dev.ports.hdrx.HDRX

Returns HDMI Sink (RX - receiver) role.

###### Returns:

> object of HDRX type.

dut_tests: UniTAP.dev.modules.dut_tests.dut_tests.DUTTests

Returns DUT Test module.

###### Returns:

> object of DUTTests type.

name: str

Returns name of role.

###### Returns:

> object of str type.

class UCD301.DPSinkHDMISink:

Class `DPSinkHDMISink` contains information of available functionality modules for role DP and HDMI Sink (RX - receiver) role:

- `DPRX`.
- `HDRX`.
- `DUTTests`.

UCD301.DPSinkHDMISink( dev_io: UniTAP.libs.lib_tsi.tsi_io.DeviceIO, memory_manager: UniTAP.dev.modules.memory_manager.memory_manager.MemoryManager, capturer: UniTAP.dev.modules.capturer.capture.Capturer)
hdrx: UniTAP.dev.ports.hdrx.HDRX

Returns HDMI Sink (RX - receiver) role.

###### Returns:

> object of HDRX type.

dprx: UniTAP.dev.ports.dprx.DPRX

Returns DP Sink (RX - receiver) role.

###### Returns:

> object of DPRX type.

dut_tests: UniTAP.dev.modules.dut_tests.dut_tests.DUTTests

Returns DUT Test module.

###### Returns:

> object of DUTTests type.

name: str

Returns name of role.

###### Returns:

> object of str type.